net.corda.flows

## Class TwoPartyTradeFlow.SignaturesFromSeller

- net.corda.flows.TwoPartyTradeFlow.SignaturesFromSeller

- Enclosing class:
    TwoPartyTradeFlow

      public static class TwoPartyTradeFlow.SignaturesFromSeller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignaturesFromSeller(DigitalSignature.WithKey sellerSig, DigitalSignature.WithKey notarySig)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DigitalSignature.WithKey` | `component1()`
    `DigitalSignature.WithKey` | `component2()`
    `TwoPartyTradeFlow.SignaturesFromSeller` | `copy(DigitalSignature.WithKey sellerSig, DigitalSignature.WithKey notarySig)`
    `boolean` | `equals(java.lang.Object p)`
    `DigitalSignature.WithKey` | `getNotarySig()`
    `DigitalSignature.WithKey` | `getSellerSig()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### SignaturesFromSeller

          public SignaturesFromSeller(DigitalSignature.WithKey sellerSig,
                                      DigitalSignature.WithKey notarySig)

  - ### Method Detail

    - #### getSellerSig

          public DigitalSignature.WithKey getSellerSig()

    - #### getNotarySig

          public DigitalSignature.WithKey getNotarySig()

    - #### component1

          public DigitalSignature.WithKey component1()

    - #### component2

          public DigitalSignature.WithKey component2()

    - #### copy

          public TwoPartyTradeFlow.SignaturesFromSeller copy(DigitalSignature.WithKey sellerSig,
                                                             DigitalSignature.WithKey notarySig)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)